No bug - Bustage fix for Windows gn builds. r=me
authorMike Hommey <mh+mozilla@glandium.org>
Thu, 15 Aug 2019 12:05:45 +0900
changeset 488151 bbef4cd14f581113d70904a6d25321bbaf155ce9
parent 488150 df54590321e85066cbd765a1be9e8216b38f9f5f
child 488152 c7e3536e6002bad931fda47d22a95571e51eac43
push id36435
push usercbrindusan@mozilla.com
push dateThu, 15 Aug 2019 09:46:49 +0000
treeherdermozilla-central@0db07ff50ab5 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersme
milestone70.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
No bug - Bustage fix for Windows gn builds. r=me MANUAL PUSH: This fixes bustage on inbound on a CLOSED TREE.
taskcluster/scripts/misc/build-gn-win32.sh
--- a/taskcluster/scripts/misc/build-gn-win32.sh
+++ b/taskcluster/scripts/misc/build-gn-win32.sh
@@ -1,18 +1,18 @@
 #!/bin/bash
-set -e -v
+set -e -v -x
 
 # This script is for building GN on Windows.
 
 UPLOAD_DIR=$PWD/public/build
 COMPRESS_EXT=bz2
 
 cd $GECKO_PATH
 
-export PATH="$MOZ_FETCHES_DIR/ninja/bin:$PATH"
-export PATH="$MOZ_FETCHES_DIR/mingw64/bin:$PATH"
+export PATH="$(cd $MOZ_FETCHES_DIR && pwd)/ninja/bin:$PATH"
+export PATH="$(cd $MOZ_FETCHES_DIR && pwd)/mingw64/bin:$PATH"
 
 . taskcluster/scripts/misc/vs-setup.sh
 . taskcluster/scripts/misc/tooltool-download.sh
 . taskcluster/scripts/misc/build-gn-common.sh
 
 . $GECKO_PATH/taskcluster/scripts/misc/vs-cleanup.sh